Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Serial
Name | ### clear()
Examples |
    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;  // The serial port
    char inByte;
    int i = 0;

    void setup() {
      // List all the available serial ports:
      println(Serial.list());
      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);

    }

    void draw() {
      // Read until we have 10 bytes, then close the port
      if (myPort.available() > 1) {
        if (i >= 10) {
          // Clear the buffer, or available() will still be > 0:
          myPort.clear();
          // Close the port
          myPort.stop();
          println("10 bytes! I'm done!");
        } else {
          inByte = myPort.readChar();
          println(inByte);
        }
        i++;
      }
    }
Description | Empty the buffer, removes all the data stored there.
Syntax |
    serial.clear()
Parameters |
serial | any variable of type Serial
Returns | None
Usage | Web & Application

Updated on June 14, 2010 12:05:25pm EDT